knot-resolver (5.7.5-1) unstable; urgency=medium

  * New upstream release

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Jakub Ružička <jru@debian.org>  Thu, 24 Apr 2025 16:59:01 +0200

knot-resolver (5.7.4-2) unstable; urgency=medium

  * Team upload.
  * Install remaining systemd links in /lib into /usr/lib (Closes: #1073675)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 11 Aug 2024 11:32:31 +0200

knot-resolver (5.7.4-1) unstable; urgency=medium

  * New upstream release
  * Update my email in Uploaders to jru@debian.org

 -- Jakub Ružička <jru@debian.org>  Wed, 24 Jul 2024 17:49:22 +0200

knot-resolver (5.7.3-2) unstable; urgency=low

  * Move systemd files to /usr/lib/ (Closes: #1073675)
  * Enable ARM builds on salsa CI

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 16 Jul 2024 13:26:43 -0300

knot-resolver (5.7.3-1) unstable; urgency=medium

  * New upstream release
  * Remove unneeded lintian-overrides
  * d/copyright: Remove obsolete lib/generic/map entry
  * Update debian/watch to only watch for v5 archives

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 04 Jun 2024 19:47:29 +0200

knot-resolver (5.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 02 Apr 2024 07:26:43 +0200

knot-resolver (5.7.1-1) unstable; urgency=medium

  * New upstream release
    - Mitigates CVE-2023-50387 "KeyTrap"

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 14 Feb 2024 15:30:06 +0100

knot-resolver (5.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 22 Aug 2023 15:39:48 +0200

knot-resolver (5.6.0-1) unstable; urgency=medium

  * New upstream release
  * New Build-Depends: libjemalloc-dev
  * Remove years from CZ.NIC copyright

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 26 Jan 2023 21:41:02 +0100

knot-resolver (5.5.3-1) unstable; urgency=medium

  * New upstream release
    - Resolves CVE-2022-40188

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 22 Sep 2022 05:34:20 +0000

knot-resolver (5.5.2-1) unstable; urgency=medium

  * New upstream release with support for Knot DNS >= 3.2.0
  * Remove ppc64 arch without luajit

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 02 Sep 2022 13:05:58 +0000

knot-resolver (5.5.1-5) unstable; urgency=medium

  * d/control: remove ppc64el from module-http

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 05 Aug 2022 16:59:22 +0000

knot-resolver (5.5.1-4) unstable; urgency=medium

  * d/control: remove broken ppc64el and s390x arches

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 02 Aug 2022 10:09:52 +0000

knot-resolver (5.5.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 27 Jul 2022 08:14:55 +0000

knot-resolver (5.5.1-2) experimental; urgency=medium

  * Use experimental to test luajit2 (Closes: #1013810)
  * d/control: enable s390x due to luajit2 support

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Sun, 03 Jul 2022 18:19:14 +0000

knot-resolver (5.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 14 Jun 2022 13:20:04 +0000

knot-resolver (5.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/upstream/signing-key.asc: update upstream key
  * d/control: require Knot DNS 3.0.2

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 17 Mar 2022 17:34:34 +0000

knot-resolver (5.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 05 Jan 2022 17:35:35 +0000

knot-resolver (5.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 01 Dec 2021 15:34:11 +0000

knot-resolver (5.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Mon, 18 Oct 2021 13:56:09 +0000

knot-resolver (5.4.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Tue, 31 Aug 2021 14:14:14 +0000

knot-resolver (5.4.1-1) experimental; urgency=medium

  * New upstream release
    - Compatible with Knot DNS 3.1
    - Includes fix for CVE-2021-40083 (Closes: #991463)
  * d/control: bump Standards-Version to 4.6.0
  * d/control: add Multi-Arch: same for module-http
  * d/tests: replace `which` with `command -v`

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 25 Aug 2021 12:21:12 +0000

knot-resolver (5.3.2-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release
  * d/patches: remove patch included upstream

  [ Santiago Ruano Rincón ]
  * Add Spanish debconf template translation (Closes: #987594)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Thu, 13 May 2021 18:18:18 +0100

knot-resolver (5.3.1-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release

  [ Santiago Ruano Rincón ]
  * Fix unaligned access and SIGBUS on armhf, and then the autopkgtest on
    armhf at ci.debian.net (Closes: #918248)

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 12 Apr 2021 07:59:28 +0200

knot-resolver (5.3.0-1) unstable; urgency=medium

  [ Jakub Ružička ]
  * New upstream release

  [ Santiago Ruano Rincón ]
  * Add Portuguese debconf template translation (Closes: #982329)

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Wed, 03 Mar 2021 15:11:51 +0100

knot-resolver (5.2.1-1) unstable; urgency=medium

  * New upstream release
  * Remove no longer needed upstream patch:
    0001-fix-map-command-on-32-bit-platforms-regressed-in-5.2.patch
    Note: it made the build non-reproducible. Thanks to Chris Lamb!
    (Closes: #976827)
  * Add lintian overrides for no-debconf-config tag and excessive line lengths
    in some d/missing-sources/ .js files
  * Fix no-symbols-control-file lintian override
  * Update d/copyright: remove no longer included entries and reorder File
    sections.
  * Bump Standards-Version to 4.5.1. No changes required

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 15 Dec 2020 09:56:25 +0100

knot-resolver (5.2.0-2) unstable; urgency=low

  * Team upload.

  [ Jakub Ružička ]
  * bugfix release
  * debian/patches: fix map() command on 32-bit

  [ Dan Streetman ]
  * d/control: Change arch 'any' to specific list

  [ Santiago Ruano Rincón ]
  * Upload to unstable

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 07 Dec 2020 17:29:18 +0100

knot-resolver (5.2.0-1) experimental; urgency=medium

  [ Jakub Ružička ]
  * new upstream release
  * use experimental in order to safely move to knot >= 3.0
  * debian/control: require libknot-dev >= 3.0.1
  * debian/control: add myself to Uploaders
  * debian/control: add lua-basexx build dep
  * debian/control: add libnghttp2 dep for DoH support
  * debian/control: use HTTP instead of HTTP/2 in desc
  * debian/not-installed: don't use sysusers

  [ Santiago Ruano Rincón ]
  * Set RELEASE to experimental in debian/salsa-ci.yml

 -- Jakub Ružička <jakub.ruzicka@nic.cz>  Fri, 20 Nov 2020 21:41:22 +0100

knot-resolver (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * Add debconf template translations:
    - German (Closes: #969234)
    - Dutch (Closes: #969341)
    - French (Closes: #969478)
  * d/control: build again for arm64. See
    https://gitlab.nic.cz/knot/knot-resolver/-/merge_requests/1033
  * d/rules: really disable config_test on arm64. enable on other archs

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 14 Sep 2020 11:24:10 +0200

knot-resolver (5.1.2-3) unstable; urgency=medium

  * d/tests/control: add skip-not-installable restriction to avoid failure
    state on arm64

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 12 Aug 2020 22:24:46 +0200

knot-resolver (5.1.2-2) unstable; urgency=low

  * Add myself to Uploaders
  * debian/rules: disable config_tests on arm64
    https://gitlab.nic.cz/knot/knot-resolver/-/issues/593
  * knot-resolver-module-http: explicitly set non-arm64 architectures

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 31 Jul 2020 16:17:50 +0200

knot-resolver (5.1.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #966077)
  * preinst, postinst maintainer scripts: base upgrade-4-to-5-related code
    from upstream distro/deb/.
  * Update debian/copyright to include CZ.NIC in debian/ files
  * Document changes and manual action required when upgrading from 3.x, in
    debian/NEWS and through debconf. (Closes: #952673)
    Thanks to Justin B Rye for reviewing the English template.
  * Add Build-Dep on po-debconf
  * Add debian/po

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 29 Jul 2020 17:07:51 +0200

knot-resolver (5.1.1-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge 5.1.1-0.1 NMU. Thanks to Daniel Baumann.
  * Mitigates NXNSAttack (CVE-2020-12667) (Closes: #961076)
  * d/tests/control: remove Test-Command: make -k installcheck ... It is
    broken since meson+ninja is used to build kresd
  * d/tests/roundtrip: update to 5.x: change --forks for --noninteractive
    option. fix control socket path
  * Add debian/salsa-ci.yml
  * d/tests/control: set Restrictions: needs-root for roundtrip
  * Add source of dygraph.js to debian/missing-sources
  * update dygraph.min.js in debian/copyright, remove entry for
    dygraph-combined.js
  * remove debian/missing-sources/dygraph-combined.js
  * Renable PIE. Building seems to be OK now.
  * d/control: Bump debhelper-compat to 13

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 10 Jul 2020 13:43:19 +0200

knot-resolver (5.1.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - mitigation for NXNSAttack DNS protocol vulnerability
      [CVE-2020-12667] (Closes: #961076)

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 14 Jun 2020 06:24:58 +0200

knot-resolver (5.0.1-2) unstable; urgency=medium

  * Merge the indep and arch build, it doesn't really work with meson
  * With new layout, the http module has to be converted to arch:any

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Feb 2020 10:10:07 +0100

knot-resolver (5.0.1-1) unstable; urgency=medium

  * Adapt d/rules to meson-build
  * Use wrap-and-sort -a to sort the d/control and d/tests/control
  * Remove debian/patches, they are no longer applicable
  * Enable upstream systemd files, enable config_tests
  * Update the list of installed and not-installed files
  * Enable the documentation build and build it in dh_auto_build target
  * Merge manpages installation to knot-resolver.install
  * Don't call dh_installsystemd, remove the extra Debian unit files
  * Use deb-systemd-invoke instead of systemctl in the maintainer scripts
  * Enable dnstap and add libprotobuf-c-dev to B-D

 -- Ondřej Surý <ondrej@debian.org>  Sat, 22 Feb 2020 21:14:47 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog knot-resolver`.
